Bug 970181 - RHQ doesn't work after restart with open GUI in web browser.
RHQ doesn't work after restart with open GUI in web browser.
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
medium Severity high (vote)
: ---
: RHQ 4.10
Assigned To: Jirka Kremser
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2013-06-03 11:44 EDT by Yury Sukhov
Modified: 2014-04-23 08:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-04-23 08:31:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
exceptions (11.64 KB, text/plain)
2013-06-03 11:47 EDT, Yury Sukhov
no flags Details

  None (edit)
Description Yury Sukhov 2013-06-03 11:44:36 EDT
Description of problem:
RHQ doesn't work after restart with open GUI in web browser.

Steps to Reproduce:
1. Open WEB GUI (Example Event View for platform)
2. Restart RHQ server 
3. Go back to WEB GUI and update views (Example Event View for platform), while RHQ server is starting

Actual results:
Exceptions in WEB GUI and server log. WEB GUI doesn't work (we cann't open Inventory\All Resources, Inventory\Platforms and others).

Expected results:
View updated successfully, no exception in server log and WEB GUI.

Additional info:
Exeptions atached in exceptions.txt
Comment 1 Yury Sukhov 2013-06-03 11:47:30 EDT
Created attachment 756369 [details]

exceptions occured, while server was starting
Comment 2 Heiko W. Rupp 2013-06-18 11:00:10 EDT
did you try to refresh the full web-page (Shift-F5) that hosts the RHQ UI?
If so, did that work for you?

GWT is using sort of a session to talk to the backend and when the server is
restarted and the old session is invalid. RHQ now depends on that session for its security model.

We will try to better detect a restart of the server and provide a more helpful message.
Comment 3 Jirka Kremser 2013-12-16 13:25:36 EST
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=50aed986a
time:    2013-12-16 19:23:37 +0100
commit:  50aed986a19b2e1cbd7d13e179c0342857d22854
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 970181] - RHQ doesn't work after restart with open GUI in web
         browser. - if the server restarts at the background, the
         session id is lost on the server therefore we can't allow the
         logged user to continue sending the requests without a new
         AuthN. It would be a security risk to allow it. Now, if the
         server restarts the UI requires the new log in (the login form
         is displayed).
Comment 4 Heiko W. Rupp 2014-04-23 08:31:00 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.